import { blockquote } from "./plugins/blockquote";
import { codeblock } from "./plugins/code-block";
import { headings } from "./plugins/heading";
import { hideMarks } from "./plugins/hide-mark";
import { image } from "./plugins/image";
import { links } from "./plugins/link";
import { lists } from "./plugins/list";
import { headingSlugField } from "./state/heading-slug";
import { imagePreview } from "./state/image";
import { headingSlugField as headingSlugField2 } from "./state/heading-slug";
import { imagePreview as imagePreview2 } from "./state/image";
import { blockquote as blockquote2 } from "./plugins/blockquote";
import { codeblock as codeblock2 } from "./plugins/code-block";
import { frontmatter } from "./plugins/frontmatter";
import { headings as headings2 } from "./plugins/heading";
import { hideMarks as hideMarks2 } from "./plugins/hide-mark";
import { image as image2 } from "./plugins/image";
import { links as links2 } from "./plugins/link";
import { lists as lists2 } from "./plugins/list";
import * as classes from "./classes";
const ixora = [
  headingSlugField,
  imagePreview,
  blockquote(),
  codeblock(),
  headings(),
  hideMarks(),
  lists(),
  links(),
  image()
];
var src_default = ixora;
export {
  blockquote2 as blockquote,
  classes,
  codeblock2 as codeblock,
  src_default as default,
  frontmatter,
  headingSlugField2 as headingSlugField,
  headings2 as headings,
  hideMarks2 as hideMarks,
  image2 as image,
  imagePreview2 as imagePreview,
  links2 as links,
  lists2 as lists
};
//# sourceMappingURL=index.js.map
