import { DecorationSet, EditorView, ViewPlugin, ViewUpdate, WidgetType } from '@codemirror/view';
/**
 * Ixora Links plugin.
 *
 * This plugin allows to:
 * - Add an interactive link icon to a URL which can navigate to the URL.
 */
export declare const links: () => import("@codemirror/state").Extension[];
export declare class GoToLinkWidget extends WidgetType {
    readonly link: string;
    constructor(link: string);
    toDOM(view: EditorView): HTMLElement;
}
export declare const goToLinkPlugin: ViewPlugin<{
    decorations: DecorationSet;
    update(update: ViewUpdate): void;
}>;
